<?php 
    //$packages = "http://localhost/_perso/cmd.cd/services/packages/getPackageCode/1332060824";

    $code = isset($_GET['code']) && $_GET['code'] !=""  ? $_GET['code']:"" ;

    #$url = 'http://localhost/_perso/cmd.cd/services/packages/getPackageCode/'.$code;
    $url = 'https://cmd-cargo.net/apps/services/packages/getPackageCode/'.$code;

    $handle = curl_init();

    curl_setopt_array($handle, array(
        CURLOPT_URL => $url,
        CURLOPT_RETURNTRANSFER => true,
        CURLOPT_ENCODING => '',
        CURLOPT_MAXREDIRS => 10,
        CURLOPT_TIMEOUT => 0,
        CURLOPT_FOLLOWLOCATION => true,
        CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
        CURLOPT_CUSTOMREQUEST => 'GET',
        CURLOPT_HTTPHEADER => array(
            'token:'
        ),
    ));
    
    if(curl_exec($handle) !== false)
    {
            $response = curl_exec($handle);
            curl_close($handle);

            $result = json_decode($response);  
    }
    else
    {
        $result = 'E000';
    }

    $result_code = isset($result->code) ? $result->code : "";
    if ($result_code == 200):
        $data = $result->data;

        $date_shipment = $data->expedition;
        $site = $data->site;
        $type = $data->type;        
        $package = $data->package;

        $date_created = new DateTime($package[0]->Date_1); 
        $date_created =  $date_created->format('d-m-Y');

        if (isset($data->date_transit) && $data->date_transit != ""):
            $date_transit = new DateTime($data->date_transit); 
            $date_transit =  $date_transit->format('d-m-Y');
        else:
            $date_transit = '';
        endif;

        if (isset($package[0]->Datearrived_28) && $package[0]->Datearrived_28 != ""):
            $date_arrived = new DateTime($package[0]->Datearrived_28); 
            $date_arrived =  $date_arrived->format('d-m-Y');
        else:
            $date_arrived = '';
        endif;

        if ($package[0]->Status_2 == 4 && $package[0]->Changes_4 != ""):
            $date_paid = new DateTime($package[0]->Changes_4); 
            $date_paid =  $date_paid->format('d-m-Y');
        else:
            $date_paid = '';
        endif;

        if (isset($package[0]->Datecontrol_32) && $package[0]->Datecontrol_32 != ""):
            $date_retired = new DateTime($package[0]->Datecontrol_32); 
            $date_retired =  $date_retired->format('d-m-Y');
        else:
            $date_retired = '';
        endif;

        $current_date = new DateTime();
        //$formatted_current_date = $current_date->format('Y-m-d');

        $date_start_withdraw = new DateTime("2024-08-23 00:00:00.000000");

        // Réinitialiser l'heure à minuit pour comparer uniquement la date
        $current_date->setTime(0, 0, 0);
        $date_start_withdraw->setTime(0, 0, 0);
    endif;
?>

<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>CMD | MultiService</title>
    <link href="css/bootstrap.min.css" rel="stylesheet">
    <link href="font-awesome/css/font-awesome.css" rel="stylesheet">
    <link href="css/plugins/iCheck/custom.css" rel="stylesheet">
    <link href="css/animate.css" rel="stylesheet">
    <link href="css/style.css" rel="stylesheet">
</head>

<body>
    <div id="wrapper">
        <div id="page-wrapper" class="gray-bg full-width" style="margin-left: 0 !important;">
            <div class="row border-bottom">
                <nav class="navbar navbar-static-top" role="navigation" style="margin-bottom: 0; background-color: #fff;">
                    <div class="navbar-header">
                        <a class="navbar-minimalize minimalize-styl-2" href="#">
                            <!-- <i class="fa fa-bars"></i>  -->
                            <img width="80" height="80" src="logos/logo.cmd.jpeg" class="img-fluid"  />
                        </a>
                    </div>
                    <ul class="nav navbar-top-links navbar-right">
                        <li>
                            <span class="m-r-sm text-muted welcome-message text-uppercase">Bienvenue dans votre espace de suivi !</span>
                        </li>
                    </ul>
                </nav>
            </div>
            <div class="row wrapper border-bottom gray-bg "></div>

            <div class="row wrapper border-bottom white-bg page-heading">
                <div class="col-lg-10">
                    <h2>Verifier l’état de votre colis</h2>
                    <p class="">
                        Aujourd’hui, nous sommes en mesure de vous offrir une large gamme de services pour toutes destinations. <br> 
                        <span class="font-bold text-success">CMD MULTI-SERVICE</span> Transport assure tout vos acheminements d’import et export en Afrique , Amérique , Océanie, Asie et Europe, par service routier, aériens.
                    </p>
                </div>
            </div>
            
            <div class="wrapper wrapper-content">

                <?php if($code != "") :?>
                    <div class="row">
                        <div class="col-12">
                            <div class="widget style1 <?= (isset($result_code) && $result_code == 200) ? 'navy-bg' : 'red-bg'  ?> ">
                                <div class="row align-items-center">
                                    <div class="col-2 text-center">
                                        <!-- Utilisation de classes responsives pour la taille de l'icône -->
                                        <i class="fa fa-code d-none d-sm-block fa-3x d-md-block fa-4x d-lg-block fa-5x"></i>
                                        <i class="fa fa-code d-block d-sm-none fa-3x"></i>
                                    </div>
                                    <div class="col-10 pl-10 text-right">
                                        <h2 class="font-bold d-block d-sm-none h4 text-white"><?= $code; ?></h2>
                                        <h2 class="font-bold d-none d-sm-block d-md-none h3 text-white"><?= $code; ?></h2>
                                        <h2 class="font-bold d-none d-md-block d-lg-none h2 text-white"><?= $code; ?></h2>
                                        <h2 class="font-bold d-none d-lg-block text-white"><?= $code; ?></h2>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <?php if (isset($result_code) && $result_code == 200): ?>
                        <div class="row animated fadeInRight">
                            <div class="col-lg-12">
                                <div class="ibox ">
                                    <?php if ($package[0]->Status_2 == 5):?>
                                        <div class="text-center  p-md">
                                            <div class="alert alert-info text-black">INFO: Votre colis est en attente de modification. <br> Nous vous tiendrons informé dès que la situation évoluera.<br> Veuillez patienter s'il vous pla&icirc;t...</div>
                                        </div>
                                    <?php endif; ?>
                                    
                                    <div class="ibox-content" id="ibox-content">
                                        <div id="vertical-timeline" class="vertical-container dark-timeline center-orientation">
                                            <div class="vertical-timeline-block">
                                                <div class="vertical-timeline-icon <?= ($package[0]->Status_2 >= 1) ? 'navy-bg':'gray-bg' ?> ">
                                                    <?php if ($package[0]->Status_2 >= 1 && $package[0]->Status_2 != 5) : ?>
                                                        <i class="fa fa-thumbs-up"></i>
                                                    <?php else: ?>
                                                        <i class="fa fa-thumbs-down"></i> 
                                                    <?php endif; ?>
                                                </div>
                                                <div class="vertical-timeline-content">
                                                    <h2 class="<?= ($package[0]->Status_2 >= 1 && $package[0]->Status_2 != 5) ? 'text-navy ':'' ?> font-italic font-bold" >Saisie</h2>
                                                    <p>Votre colis a été enregistré avec succès. </p>
                                                    <span class="vertical-date text-navy" style="font-size: 1.7em;">
                                                        <smal class=""><?= $date_created ?> </small> 
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="vertical-timeline-block">
                                                <div class="vertical-timeline-icon <?= ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) ? 'navy-bg':'gray-bg' ?>">
                                                    <?php if ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) : ?>
                                                        <i class="fa fa-thumbs-up"></i>
                                                    <?php else: ?>
                                                        <i class="fa fa-thumbs-down"></i> 
                                                    <?php endif; ?>
                                                </div>
                                                <div class="vertical-timeline-content">
                                                    <h2 class="<?= ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) ? 'text-navy ':'' ?> font-italic font-bold" >Expédition</h2>
                                                    <p>Le colis a été expédié vers <span class="text-success font-bold"><?= $package[0]->Destination_9 ?></span> le <?= $date_shipment ?>.</p>
                                                    <span class="vertical-date" style="font-size: 1.7em;">
                                                        <smal class="<?= ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) ? 'text-navy':'text-gray' ?> "><?= $date_shipment  ?> </small>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="vertical-timeline-block">
                                                <div class="vertical-timeline-icon <?= ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) ? 'navy-bg':'gray-bg' ?> ">
                                                    <?php if ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) : ?>
                                                        <i class="fa fa-thumbs-up"></i>
                                                    <?php else: ?>
                                                        <i class="fa fa-thumbs-down"></i> 
                                                    <?php endif; ?>
                                                </div>
                                                <div class="vertical-timeline-content">
                                                    <h2  class="<?= ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) ? 'text-navy ':'' ?> font-italic font-bold" >Transport aérien</h2>
                                                    <p>Votre colis est en transit par voie aérienne. </p>
                                                    <span class="vertical-date" style="font-size: 1.7em;">
                                                        <smal class="<?= ($package[0]->Status_2 >= 2 && $package[0]->Status_2 != 5) ? 'text-navy':'text-gray' ?> "><?= $date_transit  ?> </small>
                                                    </span>
                                                </div>
                                            </div>
                                            <div class="vertical-timeline-block">
                                                <div class="vertical-timeline-icon <?= ($package[0]->Status_2 >= 3 && $package[0]->Status_2 != 5) ? 'navy-bg':'gray-bg' ?> ">
                                                    <?php if ($package[0]->Status_2 >= 3 && $package[0]->Status_2 != 5) : ?>
                                                        <i class="fa fa-thumbs-up"></i>
                                                    <?php else: ?>
                                                        <i class="fa fa-thumbs-down"></i> 
                                                    <?php endif; ?>
                                                </div>
                                                <div class="vertical-timeline-content">
                                                    <h2 class="<?= ($package[0]->Status_2 >= 3 && $package[0]->Status_2 != 5) ? 'text-navy ':"" ?> font-italic font-bold" >Arrivé à Kinshasa</h2>
                                                    <!-- <p>Nous procédons maintenant à la préparation pour la livraison.</p> -->
                                                    <p>Votre colis est déjà disponible sur notre site <span class="text-success font-bold"> <?= $site ?></span></p>
                                                    <span class="vertical-date text-navy" style="font-size: 1.7em;">
                                                        <smal class="<?= ($package[0]->Status_2 >= 3 && $package[0]->Status_2 != 5 && $date_arrived !="") ? 'text-navy':'text-gray' ?>"><?= $date_arrived ?> </small> 
                                                    </span>
                                                </div>
                                            </div>
                                            <?php if ($current_date > $date_start_withdraw): ?>
                                                <div class="vertical-timeline-block">
                                                    <div class="vertical-timeline-icon <?= ($package[0]->Status_2 == 4) ? 'navy-bg':'gray-bg' ?>">
                                                        <?php if ($package[0]->Status_2 == 4) : ?>
                                                            <i class="fa fa-thumbs-up"></i>
                                                        <?php else: ?>
                                                            <i class="fa fa-thumbs-down"></i> 
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="vertical-timeline-content">
                                                        <h2 class="<?= ($package[0]->Status_2 >= 4 && $package[0]->Status_2 != 5) ? 'text-navy ':"" ?> font-italic font-bold" >Paiement</h2>
                                                        <p>Veuillez procéder au paiement pour récuperer votre colis </p>
                                                        <span class="vertical-date text-navy" style="font-size: 1.7em;">
                                                            <smal class="<?= ($package[0]->Status_2 == 4) ? 'text-navy':'text-gray' ?>"><?= $date_paid ?> </small> 
                                                        </span>
                                                    </div>
                                                </div>
                                                <div class="vertical-timeline-block">
                                                    <div class="vertical-timeline-icon <?= ($package[0]->Control_33 == 1) ? 'navy-bg':'gray-bg' ?>">
                                                        <?php if ($package[0]->Control_33 == 1) : ?>
                                                            <i class="fa fa-thumbs-up"></i>
                                                        <?php else: ?>
                                                            <i class="fa fa-thumbs-down"></i> 
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="vertical-timeline-content">
                                                        <h2 class="<?= ($package[0]->Status_2 == 4  && $package[0]->Control_33 == 1) ? 'text-navy ':"" ?> font-italic font-bold" >Retrait</h2>
                                                        <p>Votre colis  à été retiré à notre site <span class="text-success"><?= $site ?></span></p>
                                                        <span class="vertical-date text-navy" style="font-size: 1.7em;">
                                                            <smal class="<?= ($package[0]->Status_2 == 4  && $package[0]->Control_33 == 1) ? 'text-navy':'text-gray' ?>"><?= $date_retired ?> </small> 
                                                        </span>
                                                    </div>
                                                </div>
                                                <div class="vertical-timeline-block">
                                                    <div class="vertical-timeline-icon <?= ($package[0]->Status_2 == 4 && $package[0]->Control_33 == 1) ? 'navy-bg':'gray-bg' ?> ">
                                                        <?php if ($package[0]->Status_2 == 4 && $package[0]->Control_33 == 1) : ?>
                                                            <i class="fa fa-thumbs-up"></i>
                                                        <?php else: ?>
                                                            <i class="fa fa-thumbs-down"></i> 
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="vertical-timeline-content">
                                                        <h2 class="<?= ($package[0]->Status_2 == 4  && $package[0]->Status_2 != 5 && $package[0]->Control_33 == 1) ? 'text-navy ':"" ?> font-italic font-bold" >Fin de l'opération</h2>
                                                        <p>Merci pour votre confiance.</p>
                                                        <!-- <p>Merci pour votre confiance. Votre transfert de colis est maintenant complet. Nous espérons que vous êtes satisfait du service et restons disponibles pour toute question ou assistance future.</p> -->
                                                        <!-- <span class="vertical-date">Yesterday <br/><small>Dec 23</small></span> -->
                                                    </div>
                                                </div>
                                            <?php else: ?>
                                                <div class="vertical-timeline-block">
                                                    <div class="vertical-timeline-icon <?= ($package[0]->Status_2 == 4) ? 'navy-bg':'gray-bg' ?>">
                                                        <?php if ($package[0]->Status_2 == 4) : ?>
                                                            <i class="fa fa-thumbs-up"></i>
                                                        <?php else: ?>
                                                            <i class="fa fa-thumbs-down"></i> 
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="vertical-timeline-content">
                                                        <h2 class="<?= ($package[0]->Status_2 >= 4 && $package[0]->Status_2 != 5) ? 'text-navy ':"" ?> font-italic font-bold" >Paiement</h2>
                                                        <p>Veuillez procéder au paiement pour récuperer votre colis </p>
                                                        <span class="vertical-date text-navy" style="font-size: 1.7em;">
                                                            <smal class="<?= ($package[0]->Status_2 == 4) ? 'text-navy':'text-gray' ?>"><?= $date_paid ?> </small> 
                                                        </span>
                                                    </div>
                                                </div>
                                                <div class="vertical-timeline-block">
                                                    <div class="vertical-timeline-icon <?= ($package[0]->Status_2 == 4) ? 'navy-bg':'gray-bg' ?>">
                                                        <?php if ($package[0]->Status_2 == 4) : ?>
                                                            <i class="fa fa-thumbs-up"></i>
                                                        <?php else: ?>
                                                            <i class="fa fa-thumbs-down"></i> 
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="vertical-timeline-content">
                                                        <h2 class="<?= ($package[0]->Status_2 == 4) ? 'text-navy ':"" ?> font-italic font-bold" >Retrait</h2>
                                                        <p>Votre colis  à été retiré à notre site <span class="text-success"><?= $site ?></span></p>
                                                        <span class="vertical-date text-navy" style="font-size: 1.7em;">
                                                            <smal class="<?= ($package[0]->Status_2 == 4 ) ? 'text-navy':'text-gray' ?>"><?= $date_retired ?> </small> 
                                                        </span>
                                                    </div>
                                                </div>
                                                <div class="vertical-timeline-block">
                                                    <div class="vertical-timeline-icon <?= ($package[0]->Status_2 == 4) ? 'navy-bg':'gray-bg' ?> ">
                                                        <?php if ($package[0]->Status_2 == 4) : ?>
                                                            <i class="fa fa-thumbs-up"></i>
                                                        <?php else: ?>
                                                            <i class="fa fa-thumbs-down"></i> 
                                                        <?php endif; ?>
                                                    </div>
                                                    <div class="vertical-timeline-content">
                                                        <h2 class="<?= ($package[0]->Status_2 == 4  && $package[0]->Status_2 != 5) ? 'text-navy ':"" ?> font-italic font-bold" >Fin de l'opération</h2>
                                                        <p>Merci pour votre confiance.</p>
                                                        <!-- <p>Merci pour votre confiance. Votre transfert de colis est maintenant complet. Nous espérons que vous êtes satisfait du service et restons disponibles pour toute question ou assistance future.</p> -->
                                                        <!-- <span class="vertical-date">Yesterday <br/><small>Dec 23</small></span> -->
                                                    </div>
                                                </div>
                                            <?php endif ?>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                        <div class="row">
                            <div class="col-lg-12">
                                <div class="ibox-content forum-container">
                                    <div class="forum-title">
                                        <div class="float-right forum-desc">
                                            <samll>Détails</samll>
                                        </div>
                                        <h3 class="forum-item-title">Colis</h3>
                                    </div>
                                    <div class="forum-item active">
                                        <div class="row">
                                            <div class="col-12 col-md-10">
                                                <div class="forum-icon">
                                                    <i class="fa fa-info-circle text-success"></i>
                                                </div>
                                                <a href="#" class="forum-item-title text-success">Informations</a>
                                                <div class="forum-sub-title">
                                                    <small>Consultez ici les informations sur le poids de votre colis ainsi que le montant à payer pour sa livraison</small>
                                                </div>
                                            </div>
                                            <div class="col-5 col-md-1 mt-3 ">
                                                <span class="views-number font-bold  text-success" style="font-size: 1.6em;">
                                                    <?= $package[0]->Weight_10. " Kg"; ?> 
                                                </span>
                                                <div>
                                                    <small class="font-bold">Poids</small>
                                                </div>
                                            </div>
                                            <div class="col-7 col-md-1 mt-3 ">
                                                <span class="views-number font-bold  text-success"  style="font-size: 1.6em;">
                                                    <?= number_format($package[0]->Amount_11,2,","," "). ' $'; ?> 
                                                </span>
                                                <div>
                                                    <small class="font-bold">Montant</small>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                    <!-- <div class="row">
                                        <div class="col-12 col-md-10 col-xl-6 mb-3">
                                            <-- <div class="d-flex align-items-center"> --
                                                <div class="forum-icon me-2">
                                                    <i class="fa fa-info-circle text-success"></i>
                                                </div>
                                                <div>
                                                    <a href="#" class="forum-item-title">Informations</a>
                                                    <div class="forum-sub-title">
                                                        <small>Consultez ici les informations sur le poids de votre colis ainsi que le montant à payer pour sa livraison</small>
                                                    </div>
                                                </div>
                                            <-- </div> --
                                        </div>
                                        <div class="col-6 col-md-1 col-xl-3 mb-3 text-center">
                                            <span class="views-number">
                                                <?//= $package[0]->Weight_10 ?> Kg
                                            </span>
                                            <div>
                                                <small>Poids</small>
                                            </div>
                                        </div>
                                        <div class="col-6 col-md-1 col-xl-3 mb-3 text-center">
                                            <span class="views-number">
                                                <?//= number_format($package[0]->Amount_11, 2, ",", " ") ?> <i class="fa fa-dollar text-primary"></i>
                                            </span>
                                            <div>
                                                <small>Montant</small>
                                            </div>
                                        </div>
                                    </div> -->
                                </div>
                            </div>
                        </div>
                        <br><br>
                    <?php else: ?>
                        <div class="row">
                            <div class="col-md-12 mt-100">
                                <div class="box-body">
                                    <div class="col-md-12 p-0">
                                        <section id="" class="text-center">
                                            <span class="d-block"><span class="fa fa-flask text-danger fa-5x"></span>
                                            <span class="d-block p-2 f14 text-gray font-bold" style="font-size: 1.4em;">Désolé !<br>  Aucune information n'est associée à ce code.</span>
                                        </section>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php endif; ?>
                <?php else : ?>
                    <div class="row">
                            <div class="col-md-12 mt-100">
                                <div class="box-body">
                                    <div class="col-md-12 p-0">
                                        <section id="" class="text-center">
                                            <span class="d-block"><span class="fa fa-flask text-danger fa-5x"></span>
                                            <span class="d-block p-2 f14 text-gray font-bold" style="font-size: 1.4em;">Désolé !  <br> Aucun colis n'a été trouvé.</span>
                                        </section>
                                    </div>
                                </div>
                            </div>
                        </div>
                <?php endif; ?>
            </div>
            <div class="footer">
                <!-- <div class="float-right">
                    By <strong>Royal</strong>Express.
                </div> -->
                <div>
                    <strong>Copyright</strong> CMD | MultiService&copy; 2014
                </div>
            </div>
        </div>
    </div>
    <!-- Mainly scripts -->
    <script src="js/jquery-3.1.1.min.js"></script>
    <script src="js/popper.min.js"></script>
    <script src="js/bootstrap.js"></script>
    <script src="js/plugins/metisMenu/jquery.metisMenu.js"></script>
    <script src="js/plugins/slimscroll/jquery.slimscroll.min.js"></script>

    <!-- Peity -->
    <script src="js/plugins/peity/jquery.peity.min.js"></script>

    <!-- Custom and plugin javascript -->
    <script src="js/inspinia.js"></script>
    <script src="js/plugins/pace/pace.min.js"></script>

    <!-- Peity -->
    <script src="js/demo/peity-demo.js"></script>
</body>
</html>
